> ## Documentation Index
> Fetch the complete documentation index at: https://developers.bottari.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 속성 값 읽기

> 행의 속성 값 하나를 전부 읽습니다. 25개가 넘는 관계와 롤업 원래 값을 읽을 때 사용합니다.

속성 값 하나를 읽습니다. [행 응답](https://developers.bottari.ai/ko/api-reference/pages/retrieve.md)에서 잘린 `relation`과 롤업 원래 값을 전부 읽을 때 사용하세요.

**Authorization** `string` *required*

`Bearer <토큰>` 형식입니다. [토큰 자세히 알아보기 →](https://developers.bottari.ai/ko/auth/tokens.md)

**Bottari-Version** `string`

선택 항목입니다. `2026-03-11`만 받습니다. 빼면 현재 버전을 사용하고, 다른 값을 보내면 400을 반환합니다.

**id** `string` *required*

행 ID입니다.

**property\_id** `string` *required*

속성 ID입니다. 제목은 `title`입니다. 속성 이름도 받습니다.

**page\_size** `number` (default: 100)

목록으로 반환하는 종류에서 1\~100입니다.

**start\_cursor** `string`

앞 응답의 `next_cursor`입니다.

## 응답

`title` · `rich_text` · `relation` · `people` · `rollup`은 목록으로 반환하고, 나머지 종류는 값 하나로 반환합니다.

| 응답 | 필드 |
| - | - |
| 값 하나 | `object: "property_item"` · `type` · `id` · 값 |
| 목록 | `object: "list"` · `results` · `next_cursor` · `has_more` · `type: "property_item"` · `property_item` |

목록의 `property_item`에는 `id` · `next_url` · `type`이 있습니다. 롤업은 계산 정보도 여기에 있고, 원래 값은 `results`에 하나씩 있습니다. 롤업 원소의 `id`는 그 롤업이 모으는 속성의 ID입니다.

## 오류

| 상태 | `code` | 원인 |
| - | - | - |
| 400 | `validation_error` | `page_size`나 `start_cursor`가 틀렸습니다. |
| 404 | `object_not_found` | 없는 행이나 속성입니다. 하위 문서에는 `title`만 있습니다. |

공통 오류는 [공통 규칙](https://developers.bottari.ai/ko/api-reference/overview.md#오류)에서 확인할 수 있습니다.

```bash curl theme={null}
curl "https://api.bottari.ai/v1/pages/exampleRow01/properties/exampleFld05?page_size=100" \
  -H "Authorization: Bearer $BOTTARI_TOKEN" \
  -H "Bottari-Version: 2026-03-11"
```

```json 200 list theme={null}
{
  "object": "list",
  "results": [
    {
      "object": "property_item",
      "type": "relation",
      "id": "exampleFld05",
      "relation": {
        "id": "exampleRow02"
      }
    }
  ],
  "next_cursor": null,
  "has_more": false,
  "type": "property_item",
  "property_item": {
    "id": "exampleFld05",
    "next_url": null,
    "type": "relation",
    "relation": {}
  },
  "request_id": "33333333-3333-4333-8333-333333333333"
}
```

```json 200 value theme={null}
{
  "object": "property_item",
  "type": "number",
  "id": "exampleFld02",
  "number": 3,
  "request_id": "33333333-3333-4333-8333-333333333333"
}
```

```json 404 theme={null}
{
  "object": "error",
  "status": 404,
  "code": "object_not_found",
  "message": "Could not find property with ID: exampleFld05.",
  "request_id": "33333333-3333-4333-8333-333333333333"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.